{  Autor: Rafael Alberto Moreno Parra
  Sitio Web:  http://darwin.50webs.com
  Correo:  enginelife@hotmail.com

  Evaluador de expresiones algebraicas por ejemplo, 57+1.87/84.89-(6.8*e+b+8769-4*b/8+b^2*4^e/f)+5.4-(d/9.6+0.2) con las siguientes funcionalidades:
  1. Ilimitado nmero de parntesis
  2. Ms rpido y ms sencillo que el evaluador escrito para el primer libro: "Desarrollo de un evaluador de expresiones algebraicas"
  3. Manejo de 26 variables
  4. Manejo de 12 funciones
  5. Manejo de operadores +, -, *, /, ^ (potencia)
  6. Manejo del menos unario: lo reemplaza con (0-1)# donde # es la operacin con mayor relevancia y equivale a la multiplicacin

  Versin: 2.00 [Genera el libro "Desarrollo de un evaluador de expresiones algebraicas. Versin 2.0"]
  Fecha: Enero de 2013
  Licencia: LGPL

  Algoritmo:

  Se toma una expresin como 7*x+sen(12.8/y+9)-5*cos(9-(8.3/5.11^3-4.7)*7.12)+0.445
  Se agregan parntesis de inicio y fin  (7*x+sen(12.8/y+9)-5*cos(9-(8.3/5.11^3-4.7)*7.12)+0.445)
  Se divide en piezas simples   | ( | 7 | * | x | + | sen( | 12.8 | / | y | + | 9 | ) | - | 5 | * | cos( | 9 | - | ( | 8.3 | / | 5.11 | ^ | 3 | - | 4.7 | ) | * | 7.12 | ) | + | 0.445 | ) |
  Esas piezas estn clasificadas:
   Parntesis que abre (
   Parntesis que cierra )
   Nmeros  7   12.8  9   5
   Variables  x  y
   Operadores + - * / ^
   Funciones  sen(  cos(
  Luego se convierte esa expresin larga en expresiones cortas de ejecucin del tipo
  Acumula = operando(nmero/variable/acumula)  operador(+, -, *, /, ^)   operando(nmero/variable/acumula)
    [0]  5.11 ^ 3
    [1]  8.3  / [0]
    [2]  [1] - 4.7
    [3]  [2] + 0
    [4]  [3] * 7,12
    [5]  9   - [4]
    [6]  cos([5])
    [7]  12,8 / y
    [8]  [7] +  9
    [9]  sen([8])
    [10] 7 * x
    [11] 5 * [6]
    [12] [10] + [9]
    [13] [12] - [11]
    [14] [13] + 0.445
    [15] [14] + 0
  La expresin ya est analizada y lista para evaluar.
  Se evala yendo de [0] a [15], en [15] est el valor final.
}
unit Pieza_Ejecuta;

interface
type
  TPieza_Ejecuta = class
  private
        valorPieza: double;  //Almacena el calculo de la operacin. Es Acumula

        funcion: integer;  // Es una funcin? 0 no lo es. 1 es seno, 3 es coseno, ....

        tipo_operandoA: integer; //Que tipo de operando es: Un nmero, una variable o una acumulacin anterior?
        numeroA: double;
        variableA: integer;
        acumulaA: integer;

        operador: char; // +, -, *, /, ^

        tipo_operandoB: integer; //Que tipo de operando es: Un nmero, una variable o una acumulacin anterior?
        numeroB: double;
        variableB: integer;
        acumulaB: integer;
   public
        Constructor Create(funcion: integer; tipo_operandoA: integer; numeroA: double; variableA: integer; acumulaA: integer; operador: char; tipo_operandoB: integer; numeroB: double; variableB: integer; acumulaB: integer);
        function getValorPieza(): double;
        procedure setValorPieza(valor: double);
        function getFuncion(): integer;
        function getTipoOperA(): integer;
        function getNumeroA(): double;
        function getVariableA(): integer;
        function getAcumulaA(): integer;
        function getOperador(): char;
        function getTipoOperB(): integer;
        function getNumeroB(): double;
        function getVariableB(): integer;
        function getAcumulaB(): integer;
   end;
implementation

Constructor TPieza_Ejecuta.Create(funcion: integer; tipo_operandoA: integer; numeroA: double; variableA: integer; acumulaA: integer; operador: char; tipo_operandoB: integer; numeroB: double; variableB: integer; acumulaB: integer);
begin
    self.valorPieza := 0;

    self.funcion := funcion;

    self.tipo_operandoA := tipo_operandoA;
    self.numeroA := numeroA;
    self.variableA := variableA;
    self.acumulaA := acumulaA;

    self.operador := operador;

    self.tipo_operandoB := tipo_operandoB;
    self.numeroB := numeroB;
    self.variableB := variableB;
    self.acumulaB := acumulaB;
end;

function TPieza_Ejecuta.getValorPieza(): double;
begin
     getValorPieza := valorPieza;
end;

procedure TPieza_Ejecuta.setValorPieza(valor: double);
begin
     self.valorPieza := valor;
end;

function TPieza_Ejecuta.getFuncion(): integer;
begin
    getFuncion := funcion;
end;

function TPieza_Ejecuta.getTipoOperA(): integer;
begin
    getTipoOperA := tipo_operandoA;
end;

function TPieza_Ejecuta.getNumeroA(): double;
begin
    getNumeroA := numeroA;
end;

function TPieza_Ejecuta.getVariableA(): integer;
begin
  getVariableA := variableA;
end;

function TPieza_Ejecuta.getAcumulaA(): integer;
begin
  getAcumulaA := acumulaA;
end;

function TPieza_Ejecuta.getOperador(): char;
begin
  getOperador := operador;
end;

function TPieza_Ejecuta.getTipoOperB(): integer;
begin
    getTipoOperB := tipo_operandoB;
end;

function TPieza_Ejecuta.getNumeroB(): double;
begin
    getNumeroB := numeroB;
end;

function TPieza_Ejecuta.getVariableB(): integer;
begin
    getVariableB := variableB;
end;

function TPieza_Ejecuta.getAcumulaB(): integer;
begin
    getAcumulaB := acumulaB;
end;
end.
