{  Autor: Rafael Alberto Moreno Parra
  Sitio Web:  http://darwin.50webs.com
  Correo:  enginelife@hotmail.com

  Evaluador de expresiones algebraicas por ejemplo, 57+1.87/84.89-(6.8*e+b+8769-4*b/8+b^2*4^e/f)+5.4-(d/9.6+0.2) con las siguientes funcionalidades:
  1. Ilimitado nmero de parntesis
  2. Ms rpido y ms sencillo que el evaluador escrito para el primer libro: "Desarrollo de un evaluador de expresiones algebraicas"
  3. Manejo de 26 variables
  4. Manejo de 12 funciones
  5. Manejo de operadores +, -, *, /, ^ (potencia)
  6. Manejo del menos unario: lo reemplaza con (0-1)# donde # es la operacin con mayor relevancia y equivale a la multiplicacin

  Versin: 2.00 [Genera el libro "Desarrollo de un evaluador de expresiones algebraicas. Versin 2.0"]
  Fecha: Enero de 2013
  Licencia: LGPL

  Algoritmo:

  Se toma una expresin como 7*x+sen(12.8/y+9)-5*cos(9-(8.3/5.11^3-4.7)*7.12)+0.445
  Se agregan parntesis de inicio y fin  (7*x+sen(12.8/y+9)-5*cos(9-(8.3/5.11^3-4.7)*7.12)+0.445)
  Se divide en piezas simples   | ( | 7 | * | x | + | sen( | 12.8 | / | y | + | 9 | ) | - | 5 | * | cos( | 9 | - | ( | 8.3 | / | 5.11 | ^ | 3 | - | 4.7 | ) | * | 7.12 | ) | + | 0.445 | ) |
  Esas piezas estn clasificadas:
   Parntesis que abre (
   Parntesis que cierra )
   Nmeros  7   12.8  9   5
   Variables  x  y
   Operadores + - * / ^
   Funciones  sen(  cos(
  Luego se convierte esa expresin larga en expresiones cortas de ejecucin del tipo
  Acumula = operando(nmero/variable/acumula)  operador(+, -, *, /, ^)   operando(nmero/variable/acumula)
    [0]  5.11 ^ 3
    [1]  8.3  / [0]
    [2]  [1] - 4.7
    [3]  [2] + 0
    [4]  [3] * 7,12
    [5]  9   - [4]
    [6]  cos([5])
    [7]  12,8 / y
    [8]  [7] +  9
    [9]  sen([8])
    [10] 7 * x
    [11] 5 * [6]
    [12] [10] + [9]
    [13] [12] - [11]
    [14] [13] + 0.445
    [15] [14] + 0
  La expresin ya est analizada y lista para evaluar.
  Se evala yendo de [0] a [15], en [15] est el valor final.
}
unit Pieza_Simple;

interface
type
  TPieza_Simple = class
  private
     tipo: integer; //Funcin, parentesis_abre, parentesis_cierra, operador, numero, variable, abreviacin
     funcion: integer; //Que funcin es seno/coseno/tangente/sqrt
     operador: char; // +, -, *, /, ^
     numero: double; //Nmero real de la expresin
     variableAlgebra: integer; //Variable de la expresin
     acumula: integer;  //Indice de la microexpresin
   public
    Constructor Create(tipo: integer; funcion: integer; operador: char; numero: double; variable: integer; acumula: integer);
    function getTipo(): integer;
    function getFuncion(): integer;
    function getOperador(): char;
    function getNumero(): double;
    function getVariable(): integer;
    function getAcumula(): integer;
    procedure setAcumula(acumula: integer);
   end;
   
implementation

Constructor TPieza_Simple.Create(tipo: integer; funcion: integer; operador: char; numero: double; variable: integer; acumula: integer);
begin
  self.tipo := tipo;
  self.funcion := funcion;
  self.operador := operador;
  self.variableAlgebra := variable;
  self.acumula := acumula;
  self.numero := numero;
end;

function TPieza_Simple.getTipo(): integer;
begin
  getTipo := tipo;
end;

function TPieza_Simple.getFuncion(): integer;
begin
  getFuncion := funcion;
end;

function TPieza_Simple.getOperador(): char;
begin
  getOperador := operador;
end;

function TPieza_Simple.getNumero(): double;
begin
  getNumero := numero;
end;

function TPieza_Simple.getVariable(): integer;
begin
  getVariable := variableAlgebra;
end;

function TPieza_Simple.getAcumula(): integer;
begin
  getAcumula := acumula;
end;

procedure TPieza_Simple.setAcumula(acumula: integer);
begin
  self.tipo := 7;
  self.acumula := acumula;
end;

end.
 