unit Principal;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Evaluar, Math;

type
  TfrmFunciones = class(TForm)
    btnEvaluar: TButton;
    lblExplica: TLabel;
    btnBatch: TButton;
    lstBatch: TListBox;
    lstConsola: TListBox;
    procedure btnEvaluarClick(Sender: TObject);
    procedure btnBatchClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmFunciones: TfrmFunciones;

implementation

{$R *.dfm}

procedure TfrmFunciones.btnEvaluarClick(Sender: TObject);
var
  evaluadorExpresiones: TEvaluar;
  exprAlgebraica: array[0..50] of string; //En este arreglo de strings guarda las diversas expresiones
  resultado: array[0..50] of double; //Aqu se ponen los resultados probados con Excel o WolframAlpha para chequear que el evaluador funciona correctamente
  cont, chequeoSintaxis: integer;
  valor: double;
  Transformado, ExprNegativos: string;
begin
  evaluadorExpresiones :=  TEvaluar.Create;
  
  //Estas expresiones presentan fallas sintcticas. Sirve para probar el chequeador de sintaxis
  exprAlgebraica[0] :=  ' (7*8*--3/5)/4  ';
  exprAlgebraica[1] :=  ' 5.31-(4.6*)+3 ';
  exprAlgebraica[2] :=  ' 7+3.4- ';
  exprAlgebraica[3] :=  '  5-(*9.4/2)+1 ';
  exprAlgebraica[4] :=  '  /5.67*12-6+4 ';
  exprAlgebraica[5] :=  '  3-(2*4) ) ';
  exprAlgebraica[6] :=  '  7+((4-3) ';
  exprAlgebraica[7] :=  '  7- 90.87 * (     ) +9.01';
  exprAlgebraica[8] :=  '  2+3)-2)*3+((4';
  exprAlgebraica[9] :=  ' (3-5)7-(1+2)';
  exprAlgebraica[10] :=  ' 7-2(5-6) + 8';
  exprAlgebraica[11] :=  '  3-2..4+1 ';
  exprAlgebraica[12] :=  '  2.5+78.23.1-4 ';
  exprAlgebraica[13] :=  '  (12-4)y-1 ';
  exprAlgebraica[14] :=  '  4-z.1+3 ';
  exprAlgebraica[15] :=  ' 7-2.p+1 ';
  exprAlgebraica[16] :=  '  3x+1';
  exprAlgebraica[17] :=  '  x21+4 ';
  exprAlgebraica[18] :=  '  7+abrg-8';
  exprAlgebraica[19] :=  '  5*alo(78) ';
  exprAlgebraica[20] :=  '  5+tr-xc+5  ';
  exprAlgebraica[21] := '  5-a(7+3)';
  exprAlgebraica[22] := '  (4-5)(2*x) ';
  exprAlgebraica[23] := ' -.3+7  ';
  exprAlgebraica[24] := ' 3*(.5+4) ';
  exprAlgebraica[25] := ' 7+3.(2+6) ';
  exprAlgebraica[26] := '  (4+5).7-2 ';
  exprAlgebraica[27] := ' 5.*9+1  ';
  exprAlgebraica[28] := ' (3+2.)*5 ';

  //Estas expresiones son correctas sintcticamente
  exprAlgebraica[29] := ' --5 '; resultado[29] := 5;
  exprAlgebraica[30] := ' -(-(-(-(-(-(-1^(-(-(-(-1))))))))))'; resultado[30] := -1;
  exprAlgebraica[31] := '  --(--(--(--(--(--(--1^(--(--(--(--1))))))))))'; resultado[31] := 1;
  exprAlgebraica[32] := ' --1*-2*-3*(--4*-2/-4/-2)/-3^-1 '; resultado[32] := 18;
  exprAlgebraica[33] := ' -1-(-2-(-3)) '; resultado[33] := -2;
  exprAlgebraica[34] := ' -1^2-(-2^2-(-3^2)) '; resultado[34] := 6;
  exprAlgebraica[35] := ' -1^-2-(-2^-2-(-3^-2)) '; resultado[35] := 0.861111111111111;
  exprAlgebraica[36] := ' -1^-3-(-2^-3-(-3^-3)) '; resultado[36] := -0.912037037037037;
  exprAlgebraica[37] := ' (--1) '; resultado[37] := 1;
  exprAlgebraica[38] := ' --1 '; resultado[38] := 1;
  exprAlgebraica[39] := ' --3--2--4--5--6 '; resultado[39] := 20;
  exprAlgebraica[40] := ' --3^-2--2^-2--4^-2--5^-2--6^-2 '; resultado[40] := -0.269166666666667;
  exprAlgebraica[41] := ' ((((-1)*-1)*-1)*-1) '; resultado[41] := 1;
  exprAlgebraica[42] := ' 0/2/3/4/5/6/-7 '; resultado[42] := 0;
  exprAlgebraica[43] := ' 0/-1 '; resultado[43] := 0;
  exprAlgebraica[44] := ' --2 '; resultado[44] := 2;
  exprAlgebraica[45] := ' --2^2 '; resultado[45] := 4;
  exprAlgebraica[46] := ' -(-2^3) '; resultado[46] := 8;
  exprAlgebraica[47] := '  -(-2^-3)'; resultado[47] := 0.125;
  exprAlgebraica[48] := ' X-(Y-(Z-(-1*X)*y)*z) '; resultado[48] := 2084;
  exprAlgebraica[49] := ' ASN(-0.67)+ACS(-0.3*-0.11)+ATN(-4.5/-2.3)+EXP(-2)-SQR(9.7315)-RCB(7)+LOG(7.223) + CEI(10.1) '; resultado[49] := 9.98202019592338;
  exprAlgebraica[50] := ' -SEN(-12.78)+COS(-SEN(7.1)+ABS(-4.09))+ TAN(-3.4*-5.7)+ LOG(9.12-5.89) '; resultado[50] := 0.994984132031446;


  for cont := 0 to 50 do
  begin
    lstConsola.Items.Add(' ');
    lstConsola.Items.Add('Expresin inicial es   : [' + exprAlgebraica[cont] + ']');

    //Quita espacios, tabuladores, encierra en parntesis, vuelve a minsculas 
    Transformado := evaluadorExpresiones.TransformaExpresion(exprAlgebraica[cont]);
    lstConsola.Items.Add('Transformada: [' + Transformado + ']');

    //Chequea la sintaxis de la expresin
    chequeoSintaxis := evaluadorExpresiones.EvaluaSintaxis(Transformado);
    if chequeoSintaxis = 0 then   //Si la sintaxis es correcta
    begin
      //Transforma la expresin para aceptar los menos unarios agregando (0-1)#
      ExprNegativos := evaluadorExpresiones.ArreglaNegativos(Transformado);
      lstConsola.Items.Add('Negativos unarios: [' + ExprNegativos + ']');

      //Analiza la expresin
      evaluadorExpresiones.Analizar(ExprNegativos);

      //Da valor a las variables
      evaluadorExpresiones.ValorVariable('x', 7);
      evaluadorExpresiones.ValorVariable('y', 13);
      evaluadorExpresiones.ValorVariable('z', 19);

      //Evala la expresin para retornar un valor
      valor := evaluadorExpresiones.Calcular();
  
      //Compara el valor retornado con el esperado. Si falla el evaluador, este si condicional avisa
      if (abs(valor - resultado[cont])>0.01) then
        lstConsola.Items.Add('FALLA EN [' + ExprNegativos + '] Calculado: ' + floattostr(valor) + ' Esperado: ' + floattostr(resultado[cont]));
      
      //Si hay un fallo matemtico se captura con este si condicional
      if isNaN(valor) then
        lstConsola.Items.Add('error matemtico')
      else //No hay fallo matemtico, se muestra el valor
        lstConsola.Items.Add('Resultado es: ' + floattostr(valor));
    end
    else
      lstConsola.Items.Add('La validacin es: ' + evaluadorExpresiones.MensajeSintaxis(chequeoSintaxis));
  end;
end;

procedure TfrmFunciones.btnBatchClick(Sender: TObject);
var
  evaluador: TEvaluar;
  expresion: string;
  resultado: double;
begin
  evaluador :=  TEvaluar.Create;
expresion := '((x))+3.927+x+8.4+9.124*2.872*((x*x/abs(7.994+6.503)))-x*atn(3.194/(1.805/5.404)-x+x)+1.981-4.483'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 330.5079726971841)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'abs(x)/(2.417)/x/abs((1.958*((9.284)*0.924/tan(7.238/(9.826)-4.520+(1.524)-(abs(0.996-abs(5.656/x)-8.679*2.396+atn(x)))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 0.03823979852395261)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'cos(x/((6.403+tan(x/cos(9.676*5.651+x+x))/(2.375*1.569)))/abs(((0.82*2.996)))+abs(asn(9.81-7.983+atn(9.561-((x))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 0.2211596305738193)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '2.707/7.599/5.424/x+sen(tan(cos(5.415/abs(x-tan(x+sen((x-abs(0.812-5.356)-((x/abs(8.646)/3.277+9.457-(2.819+atn(0.511*7.227)))))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 0.9555142806358854)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '8.941-x/tan((atn(1.95/x/x/abs(7.40)/4.161)-x-x/cos((((atn(x*(tan(3.89)*2.734*x/x*6.905)+8.892)+4.760))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 13.68484430442902)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '6.157/(7.527-acs(abs(2.19*sen(3.696))-9.449/(atn(x*2.243)+4.329+9.4/x/2.86))+(3.56)+x/7.178)/(sen(atn(cos(5.773/sen(8.377)))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 0.8265364024778075)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '7.742-(9.293/(1.516*8.384*x-8.454*2.491-4.799-1.642-(8.26*2.881-9.97+x)-5.889+((x+x))*x*(7.285-atn(0.570+x))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 7.737606908842206)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '1.413+8.847/x+x/x/0.357+x/((1.949+abs(x/4.953)+2.685*8.50)+x-9.156+x+1.377+(tan(5.459-3.573)*cos(0.718)))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 5.187247211717808)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(7.569)/2.709/x*x*tan(x+5.714/(8.96*x-(1.958*3.972))+6.793-x*0.234)/8.473+atn(8.843)-0.274+(4.266/2.366)'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 3.909188838284972)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(2.434)/sen(((3.612)))/0.909-((4.919/(x-tan((3.773*6.381)*(4.441-2.375)+6.204/4.428)))/1.398)+8.989*2.749+7.93'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 26.439194009102373)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '2.722+9.70*x/3.42/5.907/3.123/x/cos(7.299-9.660*6.62+7.999*x)-3.99-9.15+x+2.150-(x/x-x*(3.445/((0.462))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 108.24743584036997)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x*((x)/atn(2.614/7.14+((1.318))))+(x*(0.346-8.776))/tan(3.519)/9.577*((tan(x/cos(x)-tan(3.869))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 186.2319783788329)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x-0.131/atn(abs((8.576+(x)*5.605-x/abs(x+3.966/7.251-sen(x))*5.523)/9.226))*sen(9.523)/x-acs((sen(8.284*0.148)))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 12.82880760573553)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x/0.117+5.903-(5.313)+(tan(0.164))*5.538-0.104+x+atn((cos(7.862)-5.660-5.907)*5.324-x)+abs((atn((6.69*(3.928+x)))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 127.16887989639741)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x/atn(7.183)/cos((4.654+x)+(x-5.930+((x-tan(cos(5.782*x+8.738-1.612-tan(6.213+x))))+atn(cos(x)-2.186-2.584))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 44.14296986509819)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x*x*1.372-tan((7.530/x+5.404/1.149)*x/x*3.774)+atn(7.336/x)/8.570-atn(6.610-2.539*7.437/x)-x*(x-sen(x))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 68.96460980138366)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(5.869*x-((tan(sen(2.389+x-9.678))-x))*x*0.890/7.785)+2.91*(4.429/5.451*2.474)+sen(atn(8.579)/acs(atn(tan(3.723))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 104.61517587348249)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '0.925+5.536/sen(x)-4.541+x/4.361*x-x*(atn(cos(tan(atn(x*x)+x+(2.381)-atn(7.984)+6.435/x*(abs(3.487)*abs(8.115))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 55.703737110557405)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x-2.35+x+7.11/3.501/abs(x/2.693+3.500-x/sen(6.130-((acs(((cos(7.107)))/3.282+(9.724)/3.990/6.590)+(0.412*6.943)))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 24.209767915982205)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '4.980*4.943*x*atn((atn(x+abs(1.950-4.352)/1.782)*x))-abs(asn(abs(asn(cos(x*4.397))*atn(x+6.2/4.810-sen(6.930)*4.655-x))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 492.78413139196135)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x*abs((x+3.906))*x/x+1.700-2.683*x+x*4.57-7.311*(4.345+1.930/7.711)/(x+x-(7.574))+(x+5.401)'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 268.3200887772338)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x+9.188+7.546+(0.63/x-x-1.523)+abs(7.122+(5.382)*0.909+9.19+6.857)/3.735*2.536/3.333-tan((0.970))/(sen(x))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 18.415409635810377)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'cos(0.45/tan((((6.750/(sen(((1.574)+4.160)/1.407/6.312*x*0.297)*(6.166)/asn(0.604))/4.43/x+3.644/5.505-6.277)))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 0.8545435812543725)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(3.992-1.157/0.277/6.144-(atn(5.746-(sen(tan(5.388*x)))-7.464/x*0.557)-x-cos((x*7.341*x)*x/x)/abs(5.869+5.1)))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 15.097496684254113)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '0.308+((4.943))*asn(2.965-2.539/6.961*6.855)+(x-atn(x))/tan(x)*atn((x)/9.598+0.965+abs(7.115-(0.890-8.60*1.746/2.794)))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 27.931580632828183)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(7.234+6.615)-6.272-1.435+atn(2.58)+atn((abs(x*(atn(4.771+7.798+x)))*cos(atn((6.608-sen(4.523*x)+x+(x))+3.508))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 7.84963951004761)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '2.586-0.288+x*8.946+atn((2.828*x*6.767+abs(cos((tan(x-0.133)+7.139)-(9.360)+0.745*((x*cos(x))*x+(2.68*7.138))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 121.70960568931824)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x*2.896*acs(cos(((6.835-tan(0.941)-3.277*tan(x/(6.619+x)/abs(((8.794-x+(x*(4.36)))+x*8.544/5.47)-(cos(((x))))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 32.43615574769791)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '9.568*6.693*(x)-x+tan(4.971-(9.255+cos(atn(x-((3.219-0.602-9.936))+x))*4.363)-x+abs(x)*x*2.354+(3.880/3.344))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 829.646486564604)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x*4.788/x*tan((8.149-acs(atn(abs(4.45/(abs(x*(((x/x-7.688)-x-sen(7.894+6.84/x+1.661-6.523*5.738*x))*cos((5.985))))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 1.5452109799469593)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '9.236+4.711*3.902-0.179/8.797*sen(5.338-9.393+7.574*(asn((sen(((1.636/(8.436)/x)/atn(atn((4.399/8.445-asn(sen(abs(9.634))))*x))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 27.60374300222485)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x*x*x+7.677-x-4.64+4.793-3.844-(8.612+5.745-acs(0.554)+(5.188/x/4.83*(9.63*9.0*9.981)*(5.218-x/5.426)-0.783))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 2067.238511514913)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '((9.576*1.858-8.506))*3.337+0.4/3.238+sen(7.410)/(6.321+x-((5.819)))-atn(x-atn(abs(1.959+cos(3.493-2.521))*(sen(3.768))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 29.677408158369193)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '9.602-atn(0.68/x+5.256)*x*(x/9.214*(8.637*((2.361)*6.739-x)*1.77))*(cos((8.323)-5.163-7.571)/cos(abs(5.85)))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 366.54783548611834)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(2.387/((x/abs(x)/x-(2.770*atn(1.277)+cos(3.212)/cos(2.132)+((6.832)+8.639)-(x*9.329-x-tan(x/x-9.979/(((2.834)))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 0.026753414673836323)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x/0.442/x*(6.300-(2.330-6.586)*(3.773*5.531+x))+((tan(5.236+3.505-x))/atn(9.736+1.614-(4.786+x/x-3.993*x)))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 339.80199670111074)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x*3.787-(x+(x)*6.86-x*(x)+cos(sen(x)-x+asn(cos(abs((8.110-cos(8.719+x/0.195)*atn(8.99))*6.851)))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 118.95573515276794)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '3.642/(x-tan(x+sen((x+8.668)*(x+3.427*x-8.252+abs(3.77)))/cos(x)*8.196+x*x+(7.116-x-9.857*4.529*(x))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 0.24484129919146091)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x-5.639*(1.512)-8.884/x/4.694+x+0.868/5.471-(0.605)*x/1.152/atn(4.17+5.669-8.116-x+x+x)*1.709+cos((x))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 10.79399707982695)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '5.69*x*atn(3.369)-5.446*sen(9.919)-tan(7.644*3.451*cos(x+x/abs(6.845/x/x/x*sen(x)+atn(x+(cos(((4.792)-x*x)))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 101.50262719516053)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'abs((x-abs(3.334*2.988+x*8.376*(tan(x))))*4.51)*(x)-abs((x)-0.556*((((x/3.915-3.853))+x)))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 4350.787058211077)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(sen((6.783/3.976*2.657-x+9.338))*((abs((x)+sen(x*x-x-(cos(4.597-abs(1.547))/(6.264+(x-abs(8.973-2.312*2.36)))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 8.341375462788887)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x/x/x+2.458*7.687+x/((((x)/tan(5.952/((2.638)+2.747-5.187+7.632-5.517)))-x/1.413+4.224*x)*x-4.385)'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 19.009993702101372)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '0.453/(9.358+2.514+8.769+6.873-x/x+3.864+x)*x*5.685+acs(0.335/1.320*(0.262/5.573))/(atn(9.548*(cos(((acs(0.75)))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 1.867512092832259)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '((x))+9.531/x*9.411-(1.571)-1.758/atn(tan((atn((3.125-4.889/cos(1.109/(6.26*0.725*2.979)-tan(x-x+(8.789*asn(cos(tan(x)))))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 19.92644126846677)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(9.273)+4.961-5.798+1.434/1.827*6.181+(sen(2.73/(x-3.536+4.814+x+x)-(5.791+7.599/6.754*(x/sen(abs(7.161+8.614*(x/6.605)))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 13.861619570680269)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x/((2.88*0.421/x)+x+asn((3.637*1.585/3.228-abs(5.867)*1.721/x)/tan(9.70-(1.139+atn(4.508*2.700*(sen(2.711)/x))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 1.0213612764301108)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '2.616+x+(x/(x-0.756+7.900/cos(7.214+x/x*((x*6.639))))-1.600/(((3.587)+4.236-0.632))/cos(6.838)+x)'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 29.325138656566335)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x+x+7.44*acs(2.153-(2.424))/6.95/0.318/x*abs(7.883)*1.337+1.634/5.27/6.972*4.367*0.928-cos(x*x)-7.863'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 24.373000282487283)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(5.946*5.206/x*x)+abs(((8.681*tan(sen((8.720))-tan((((((0.979))/x*x-8.135-cos((3.374/4.206-asn((x-x))))))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 32.677890587764544)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '7.193-atn(x+(8.855/x*cos(4.728)+x-4.985*8.532-sen((atn(4.414/sen(acs(tan((sen((0.87)-atn(9.560+1.435-5.722+0.669/6.756/9.592)+3.9*2.638))))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 8.705566969521259)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '5.315+5.125+((3.57+(7.133+3.347+x/(((9.11-x))*x+9.921))))+8.923-4.220/((3.607*5.285))/(4.605*x)'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 33.107214245811484)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '7.174*3.410+((x*2.767/3.903/0.39)*x)-x-7.3+3.119*5.830*6.699/(tan((6.401*((5.540/7.74)/x-x-5.401/5.798))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 370.81861857984666)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'sen(9.472/9.909-(6.62)/tan(atn(x-9.1+((sen(tan((6.421/(3.14)*9.398))))+(x-(5.102/1.782*(1.582)/(x/asn(cos(4.189)))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 0.5513964647965538)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '6.918+(8.773)-(x)-1.488+abs(2.715*8.373/2.554/x+4.497/2.368)-tan(5.17/asn(sen((9.429*(x*6.276/x*x)/x)-(7.250))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 3.2397579817732525)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '3.561*abs((0.182+1.928*x)*x-4.948/tan(9.153*x-(3.688-(7.245+x+6.976*(3.515/8.240)-atn(7.498/x)))*(tan((8.35)+tan(x)))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 1281.6191466844678)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '7.430-atn(((x+x/abs(2.852)-x+0.699*2.14)+(((x*(6.958))+4.883)/5.954*x)))/atn(7.443+1.555*x/6.167+x)'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 6.405671242833352)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x/(x/2.978/x-cos(x+atn(9.98+8.659-atn((8.928-0.605/9.218)*7.347)-(abs(9.184+x))/7.742))+(1.108))/2.273-1.163'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 1.8018882981215423)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x+cos(1.979*2.868/x)+(0.786*6.994/tan(cos((x*4.878)+cos(0.741/4.16/4.330)+(3.983+3.638/9.206+(atn(5.796*1.842*0.357-x))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 22.363282010306207)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x*(4.950+x)+3.214-7.561*tan(x/6.79*(4.15*3.105)*sen(x/9.116-x+2.73-0.70))*x/x-(x)/x+((8.20/0.693))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 249.03862300633247)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x+x*(abs((5.864/((x-(x))*6.979/6.14+abs(4.466-2.726*x*(6.77/3.438/x)+x)+x+cos(x)+8.607))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 15.38799591103786)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '3.86*(abs(2.310/x-sen(((0.674/x/(x))-4.898*(((x*0.598)-7.596)-4.208*7.892*x)*(x)+0.624*(3.940/x)))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 1.6529602032140662)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'cos(x)+2.569/tan(2.32-x/x+(5.704/(atn(8.506)/x-x)*x*((4.948/4.344/3.938)*abs(9.32+8.681)+4.319-(x+0.271-(2.906)))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 3.036435776918678)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x+x+0.71/sen(9.259)-sen(x*x-5.379/6.835-x-cos(x+8.965*9.189)-(5.986*tan((1.890)-tan((1.672*(1.503-0.206+(x*x)))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 30.54588524229009)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '1.799*4.910+(2.18)/8.430+3.460+7.712*1.969*(sen(tan(x/8.973+sen(sen((9.385/sen(x-(7.200)+sen(abs(((x+acs((sen(tan(8.354/3.855/(8.612))))))))))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 16.731797252978957)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '0.966/2.931-abs(abs(atn(x-2.100))+sen(8.130/cos(x+9.376+3.249/6.165/(7.538*x))))-5.424+x-3.997-atn(5.84*2.371+x)'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 0.8786803623791448)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(1.228/(cos(asn(tan(5.65-x*3.390*2.155+0.666/8.885/abs(x*7.716/9.464/6.351)+x*2.990+cos(1.428)/5.420/sen(x*x+sen(x*(7.834/sen(((tan(5.154))))))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 4.291279562978787)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '((1.846)*(x)-0.518-x)+3.327*2.22/x-sen((7.616+8.903+x*9.317-x/8.622+x+cos(7.226/2.962*x)-2.490-x*tan(x)))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 10.210600265601215)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x-7.791+6.0/3.309+5.944+3.76/(sen(tan(x-sen(x*7.847)+atn(0.174+6.587+1.317+2.149-(3.590))+8.0-x+cos(cos(1.769-3.404*x)))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 20.163053627229587)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '7.990+1.884+6.823-(3.185/8.986*7.936+2.281+(x)/2.132)/cos(7.6+6.184+6.449*x/x)/8.126*((((tan(sen(x-x*asn(sen(8.265))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 25.362172174513212)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x-0.547/((6.293*asn(abs(abs(3.446)+1.828)/((x/x*x*asn(7.970-0.655*x)/(4.547/5.626)*0.953/0.597+x-6.907+9.925+9.92)))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 13.063010631667247)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '1.403-6.480-((x-3.60-x))+((3.984)/abs(2.348-7.596)-x/0.583+x*1.383-8.686-1.632+(2.343+(x)+9.453-4.167+x*x))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 178.91443572247542)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(3.67)-9.944+9.314-sen(x)/sen(2.641)*1.460+x-(1.681-4.10)-x+x/abs(8.226-atn(((x-x)/(7.908-(8.108*9.310)))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 5.326368210563752)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(5.601)/4.646+((x/4.320)*9.881-9.287+tan((0.742-5.827-4.375+4.912)+4.681*(4.474+cos(0.370/9.987*(x)+1.314))+x*x))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 22.41551029674329)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'sen(6.765)/3.158*1.865/5.32*7.361+x-((asn(x/x-cos(8.719/x)-abs(0.437+x)/x)*0.664))+8.575/3.7*x+tan((sen(((abs(x))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 45.36234132781582)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '8.408-9.848/(x-1.662/asn(asn(0.838))/0.503+tan(0.788*0.497+abs(x)/x)/(cos(8.729)/7.888)*3.789/8.626*x)*4.723+9.990+1.555'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 20.099523140052945)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x-0.13/x*abs(x)+5.151+4.824/7.229+2.140*x+x*tan(1.125-tan((9.821/(1.816+abs(8.220/9.234))+6.481-((cos(5.820))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 102.47108248973056)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '9.576+abs(x*x)/x/x/x+asn(0.640+x-x)/(atn(3.817-5.702))+2.258*(x+7.710*8.422)+tan(0.935/atn(6.714*(cos(9.366))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 184.60355106962325)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'abs(x+5.274-9.993)+cos(x)-0.532*(4.321+0.811+x+(9.558+8.92-x+7.817*(tan(6.268)+(2.636)*tan(6.551-x/x)*x*(((2.743))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 352.81649513847356)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(x)+9.941*8.683/(3.919*1.897-abs((1.867-8.194-x+4.937-(x)+x+(cos(sen(2.298+7.887/3.252*2.813/9.750)))-1.358*x)))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 9.580462675918046)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x*x-x-5.315+6.603*1.799*sen(x-2.87)*1.754-x*cos(x/x*1.736)/8.527-3.223/2.953+1.488/5.5+x*tan(sen(tan(x-4.339/x)))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 142.2339231718152)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '9.443+acs(tan(5.609/6.388*7.189))+sen(9.352+x/1.887)-7.153+(x-(atn(9.893+cos(x/4.243*8.425)*8.467*atn(4.915)))*((7.864)))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 4.5598638920996875)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '8.174*6.882*(((x)+8.110-6.234)+8.858*(x))-x/0.466/(8.455-((4.292)/tan((abs(x+6.437/x+4.897-4.663+(7.239))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 7408.197866604043)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '6.201*x-x+atn((x/asn(cos(5.195)/(5.558))+acs(sen((7.975)*cos(3.394/(sen(7.222/5.225/0.264*sen(x*4.813*(5.132+atn(x/sen((x))))))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 70.07681130669478)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x-0.422/cos(7.503-(x/6.817)-abs(abs(((3.175-7.449/cos(x+x-4.786+1.268+5.396/cos(6.650+3.452/x-((abs(8.936/6.469)/4.635)))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 12.423037054632024)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '3.186+x+x/7.79+(3.689-cos((x*9.9)/0.64+4.362+x+x+1.561*(3.844)/(6.945)-x+(0.709-x)-x-tan(3.798*sen(4.601))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 22.53108323145149)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(x/(8.437)*(x-x)-x)+2.276/6.472*x*x+x+(atn(x/x/((5.596)-7.418))*4.728)*5.816+x-9.25'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 51.14345741470315)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x-x/0.545/4.711+x*5.230+(3.95+(x*4.935/1.407*abs((2.235/atn(x)-6.707)/sen(2.696))/sen(abs(tan(9.201+(x)))*(5.261))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 735.2115368410892)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(3.933*6.453+8.702)/x*atn(((9.115+8.931-(x))-tan(7.343)+x)*x-atn(4.530-5.401+9.634/2.551*x+6.782))+9.586/9.388'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 5.072975595407332)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '3.215*(5.8)*3.939/x/5.829/((x))+x*3.689+(x)-1.850/asn(((cos((8.173-8.840))/3.283)-1.193*(1.95-sen((1.66)))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 63.49661443153761)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '7.414*8.70+8.843*x*((cos(6.768/x/((x*3.930/1.948+(tan(4.377/abs(cos((tan(x+8.258*sen(4.390-5.645/7.238-3.98-((x+(0.851)))))))))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 180.96592978080633)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '3.310+x/(cos((0.8*x+7.475-1.584/9.776+sen((x/(atn(5.26))/(x)))+x*(atn(sen(x*tan(abs(((x)+sen(((0.494))))))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 19.410157185700005)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'cos(cos(x)*8.506+abs(9.179+x/4.986/x*2.541)+6.156+((5.250*0.913)*sen((x/9.538/(x))))-x/3.278*x+9.858*0.426)'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 0.9640272359070945)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x/x-x+0.284*x*x*(x/(2.851*(atn(6.28-1.568/(x/x)/6.411)+2.553)+8.473+5.871))*x*abs(8.305/9.555/x)'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 9.839891190184899)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '1.936-0.393/0.143/2.241-x/atn(x)+(((6.336+tan(7.221*5.392/9.990)+x-(tan(x/((x*5.465*(9.433+x+x))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 12.344914563134099)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x/x+5.956*asn(sen(tan(asn(sen(x+7.537+3.594+5.531-(1.341-(8.239*(6.949-0.90/x+7.677)*7.439)-7.636+((atn(x)-(9.425)))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 1.6228129222589107)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'abs(atn(cos(atn(4.869/x/x+abs(9.328/x)/5.535*x-7.562)*8.737-(cos(x+x)-((4.171/9.160+(3.88+3.698*7.327/1.289)-sen(cos(0.882))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 0.7445419649839707)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '3.755-(0.434*acs(cos((abs(x-(abs(0.294*5.200))*x*2.137)/5.314)+(x)-x/(abs(8.248)+x/x)))*x)+x'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 8.45941637627277)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '2.325*sen(0.575/tan((x/tan(((cos((atn(0.99)-atn(1.624/abs(4.491)+sen(x*8.297))-5.557))/tan(0.251+atn(x)+(4.630-2.835)*(x))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 0.8529154615087727)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x+x/(7.258/7.47-6.219*x-(x-5.324)*1.442+(x)*(8.257+x)-2.856)/1.680+4.961+6.489*x/x+atn(4.120)'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 25.997475190907174)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(sen((x-sen(2.862+(atn((x+7.237/6.25-abs((x)-(2.302+x/8.261-4.102-0.280/cos((1.850-3.298/sen(sen(x*(4.429)+(x+2.507))))))))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 0.7781599505407608)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x+((((atn(2.935)+x*x/2.374/x/5.648*2.378)-3.730)+8.599/x))/x-tan(1.557/(5.39+7.778/4.70-abs(6.301)))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 14.948444986556625)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'cos(tan(cos((x+sen(6.457-(7.258/x/(x/6.831/1.53*x/(x*sen(x-(0.325/x*6.601*x/4.871-1.357)-9.155/(1.972-0.899+1.813))))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 0.9204902091010904)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x*(2.530+atn(x))-sen((x)-sen(((6.731-9.868)*(7.329/(1.496*9.214)+(abs(9.575-7.389)+(6.718+9.577))))-tan(abs(x))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 53.017032130304074)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '5.633*x*x-3.363-9.945*7.95+8.309/x/((7.551+1.670)*4.795)-(9.387+(6.685/x+tan(3.101)*1.270*asn(sen(cos(atn(atn(x)))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 885.1906958597203)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'cos(x*x+acs(cos(abs((9.801/(3.367)-6.454)-0.622)/2.710-x*atn(5.947/abs(4.386-x/7.861-x)+2.391+cos(5.6*8.181/atn(1.228/1.611))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 0.953757340766583)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '4.710*abs(x-((((3.536-(8.877-9.927-(8.423*(5.359-x/0.30)))-x+8.42)*(6.647/0.170/asn(4.533/1.920/x)*7.665/6.504)))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 391348.7464551038)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x-x+2.56/(7.881)-atn(0.734*x)/x*(((tan(1.957)-(x+(x))+1.55/9.857*atn(x/6.223-9.595-x+((4.415))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 3.5607675722911427)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '9.213*2.924/6.584-1.151+(sen((x)-8.484-(6.906+((x))*4.3/(((x)*5.41))/atn((5.226-1.149)+(sen(9.171*tan(2.391)))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 2.642786678246643)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x/x*x*4.896*1.884*x+atn(7.463)+2.391+2.972*0.925+3.946*6.338-9.551-atn(7.65*(x+9.776*0.450+1.342))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 1621.0809793691299)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x+x+8.328+x*tan(x/6.438/(8.941-4.299/x))*2.976+tan(x*0.358+8.573)/x+(((((x)/2.291*x/8.316-9.58))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 43.75909632466342)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '0.976*x+x/8.505-x/(0.51/x/7.691*9.964-x/7.342/(6.878-(((atn(x-(1.268+8.980)+1.476+7.264*x+tan(x)))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 60.25993714278653)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x+5.103*tan((3.18+0.257))-sen(3.970*9.858*x)/1.264*asn(cos(sen(((sen(tan(4.205)-x+2.661-8.327)+x/x-cos(2.326+(tan(x))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 14.382092118212258)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x+8.646*3.746*7.85-6.878*x/3.495+((8.586*8.318-3.299*((x-x*1.1*2.528+2.349)*2.303/x)/2.923*7.143)-0.477)/tan((1.567))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 241.87664427835855)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '0.761-1.440+x/0.765*x+x*(3.196+tan(x-1.638)*5.736/abs(x*abs(8.768/8.442)))+4.284*x/(3.505+(0.283/0.803))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 273.65424152573104)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '4.508*4.141/6.619/6.839+1.9-0.267*0.598-0.523*tan(tan(6.879+3.43+4.721)+x+6.466)/(sen(atn(cos(0.26-x))+2.420))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 1.9011987567355855)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'atn(9.125+8.861/x+3.580)-x*((x/8.728)-(atn(5.462+x/x)+7.682*x-cos(4.780)/4.878))*3.741*0.366*2.670*0.447'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 2177.5525149472405)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x-6.93/abs(6.472+cos(sen((x+x+4.461+8.964-((4.525/x)-9.751-(7.830*x*x*cos((sen((x-3.82))-4.989))*8.448/6.512))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 12.215831735977735)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(2.520/1.601-6.336/cos(9.474+x)-(8.781-x)+(x+1.198+(2.425-6.451+x+9.308*4.310*5.895+cos(atn(1.491/(1.84*x+tan(5.183/tan(abs(5.847)))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 274.96924116027765)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x+2.234+(((5.95+tan(x/7.465+x+9.198/x+x-0.370)))*x+(2.521/0.191-0.871*1.800+atn((3.136*(x/6.82/8.928)))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 108.19745312635706)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x-(atn((x-(x+8.630+x-sen(0.260-sen((1.854+sen(1.928-1.764*(3.224)/(9.258-6.603)/4.200+x))+tan(1.811-2.429*tan(0.539))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 14.697346684929094)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '3.975/x+x+(sen(atn(4.403)-4.165)+(x+2.589/tan(x)/tan(((6.897)*x-8.342)/(4.239+7.525/6.229+x+(0.233/x-7.734)))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 27.429164432010772)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'tan(1.631+(x*3.529+(3.347-x+8.831+(x+9.746*0.982/sen(0.140)-tan(3.333-atn(4.861)/(abs(5.135)+tan(2.78/x)/(abs(x)+(0.679))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 0.15137774672483031)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(x*9.333)+2.321+x-x/6.55*x*((tan(((x-x)*cos((8.618)*x+1.8/9.506)*7.996/5.319*2.608)-x-x)))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 209.3056180504547)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x*2.618*8.755/0.822/x+(x/abs((9.200*abs(x+abs(tan(7.639*(x)*x-atn(((x-atn(6.319*sen(x+x)))-9.273))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 27.96169761745296)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(6.885/tan(x)/2.868+tan(cos(sen(((x/4.360-x*x+0.767*0.938+7.753)*(((abs(3.945*7.565))/1.905)/atn((abs(((8.896+sen(0.225))))))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 4.64756212396332)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'atn(sen(x)+x+(x-(x)/2.361)*4.209+6.438+sen(atn(8.527-x/0.446*sen(1.933*(atn(x-7.697/tan(tan(x*x/2.675+5.118))*4.178))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 1.5512481673382816)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '2.389-3.996+x*x+x-(cos(((8.895+2.61/x+tan((9.929)*cos(6.948)*(x)*1.661))*x/x)))*3.982-9.272'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 172.75573993476362)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x+9.204*x/tan(((abs((x+atn((sen(9.741*x-1.862/3.523+x+3.782/x)))+3.351)*tan(abs(4.573)/3.317*atn((2.504/7.910)))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 59.78144345384741)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(7.763/3.990-8.127*3.492-x/6.769+6.144*x*(6.463/1.45/2.376)*9.754)-sen(cos(6.922-5.914-x/2.3-4.314*2.48*3.92-(x/4.579+5.222)))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 1452.7691081717237)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '((0.282/2.73)-9.535*abs(7.627*x))/x/atn(7.654*x)/(((7.788/(x)+2.723+(8.481*(7.836-2.647)*cos(x*(x))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 1.592561523560035)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '9.54*6.870/2.652-6.477+x+cos(x-((2.771-((4.78*8.814+(4.211)-4.508-1.354*atn(3.559*cos(3.144)+7.729+1.80)/(1.446+4.51))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 31.32915910127703)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '9.835-x/x+x-(1.964/sen((0.463)*9.935*(6.120/7.931)+(cos((0.646*x+6.385*(0.879)))+x+5.928)+abs(x*4.506)))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 16.138168019130443)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '9.387-(6.66+5.527-9.701)-abs(cos(sen(6.182+3.911+4.719/acs(cos(x/1.786-cos(9.372*((7.875-x/2.354-1.472-8.697-sen(x/4.420-tan(x)/4.123)))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 6.336625963178161)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '8.749/(2.720)-(x/atn((tan((4.221*cos(0.866*atn(abs(tan(3.640/3.675)-x)+7.822+7.155)+x*9.676))*tan(9.652))/(9.111))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 85.14961407693713)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '8.702/x/7.268*5.892-(0.271)/5.69+tan(7.217)+abs(0.37/(sen(4.266*6.746/(x+x/5.100+3.676*((asn(tan(x-x))*abs(8.377*9.295)))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 2.2219440907076904)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(x-atn(8.885-(atn(x*5.188-6.37-(abs(x/x))+7.200*9.178*x/x+x/(cos(x)+cos((x/x)+2.473)/1.260+3.119)))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 11.737841774578026)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '3.620+x-6.913/(x)+0.5/3.542/x/(3.782-x-tan((7.108*((4.83-5.383))+sen(9.49)*6.182*tan(8.760/5.294/(x/sen(x+2.6))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 16.266833213860586)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x*x+x*(0.815)-9.310+0.183+x*x/3.730-(((((3.524)+7.11*(4.851-x-x+((atn(7.689))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 360.7109369658252)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'acs((x/((7.625*x)+((x+(x)/9.854-7.235/atn(x-abs(tan(x)-x-atn(5.69*8.410-0.140-4.100-x+x/((sen(atn((6.157)))))))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 1.465375836400462)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '6.260+4.860+x-(x*((2.692-9.50-5.250*tan(5.959)+2.854+x/8.394-1.802)/0.389-(x)+(x+6.342+8.484)-x-tan(x)))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 93.68872656616745)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x*1.607*5.53+3.819/x*atn(0.438-x)-(3.921/(tan(2.315*x)/tan(3.812/7.453-x-2.102-x+9.172)+2.834-x+x-atn((7.401))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 116.91123355792938)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '8.509+8.696/3.541/(8.806-x/x/x*2.261)*x/6.615-1.660*1.238*0.167*x/((x+(((sen(x+(0.680)-tan(6.448)*atn(x)))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 8.753254068437164)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(8.146)*0.262/3.886-cos(2.766*(((7.73*x+((3.926*sen((2.937)+(x))/((9.401)*atn(1.897+8.173)-7.263/5.154+5.431)))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 0.3098412646399339)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '3.679/7.230*((4.285))+x/5.341-x-x/cos(3.534*cos(atn(x)*x))+0.390+tan(2.303-(4.451)+abs((tan(9.641+x))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 8.829251716459764)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '7.909-5.799-(x-2.680*(x-(sen(tan(4.305-(8.762)*(x)+(3.574))+abs(2.681-3.877/atn((4.696-6.439-cos((6.97/(1.529)-6.381)))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 25.620196972216412)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x/6.249+5.690-(tan(x-x+6.492*9.275)-8.722*abs((x*5.727+(((x-x+4.366-x)/(abs(5.619/5.10*sen(abs(8.661*8.477)))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 589.2618412239068)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '6.78/abs((9.372-x/abs((1.622/(x)+x+3.270*(x-6.946)*(4.986))/(x-7.956*acs(0.237/(3.677+6.173*9.200-x-9.288))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 0.7299117172989549)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x+4.939/x+(3.473+(3.191*1.890-2.22*2.241-sen(x-atn(2.440)+(1.389*tan(7.823+((abs(cos(7.130+x)-9.409/0.798/tan(x/x)))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 19.01407184372443)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '7.53/x+(tan(abs((x/8.255+x)+x))*0.475-(4.849*0.145)/(x-(atn(1.898)+(atn(6.447)+cos(5.132)-4.419/(5.279*abs((x)))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 0.3393597317784786)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(6.301)+8.401/6.2+(0.140-5.721/(sen(1.659-(6.424*(x)*x)+x/x-x)/(4.144)-((3.608)))+x)+4.683'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 27.183964653893078)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '3.16*6.581+(9.901+8.469*9.441)*9.124*6.839-1.978-9.42*9.298*((0.909-1.719+0.36+tan(6.508-2.380*8.111)/9.151-sen(2.113+8.821+6.920+5.585+atn(5.866))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 5642.2544168503755)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '6.192-7.844-(9.568+cos(7.995)-9.893-(9.740+sen((6.626)-(3.66/x-(abs(x/1.570)-x*0.332+x))-(x-5.724/x/x*6.33))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 7.641129691240779)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '8.312-(2.407/tan(1.586+((9.70))+tan(x)/x)/sen(3.227/x)+6.785)/0.424*cos(x/sen(x)-((sen(1.231+(0.97*sen(2.478))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 15.865491045223376)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x+8.7*9.591-6.683/cos((0.974-((1.848-((5.188*(2.798)+(x*3.695)-1.228/abs(acs(sen(1.796-(1.453)-6.468+1.709*2.140*sen(cos(x)))))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 17.36041257467538)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '3.229/x*5.343+0.546-x*x+x*(x-x-x/atn(4.139/4.455)+x*x)+x-2.822*1.519-2.71+atn(9.138)'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 1890.0139796956753)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'abs((x/((3.930))-atn((abs((9.458*((sen(0.374+3.190*(5.3*3.118*abs(0.452))+x*cos(sen(x/x)*(2.137/9.635)+x))))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 1.8983646137489263)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x/tan((sen(8.925+((4.436*tan(tan(((((x+9.712+sen(x+x/(x/abs((tan(sen(cos(x)-tan(abs(x)*0.837))*9.569+x))))))))))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 52.91670329293366)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '3.968*sen(1.799/(abs(cos((4.881)/x)))-6.334)+(x)+8.0*1.668*x+7.635*x+sen(7.147/2.965*x/0.974+7.20/9.835)'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 294.2488538579573)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(0.232-x+x)-8.198+1.627+x*x-7.103/x/x+(0.977*tan(5.393+x-(x+sen(0.597*1.198-(4.21/1.351-asn(tan(9.390-(x))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 165.64916719361898)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '((8.420-0.7+2.536/x))+9.634*(1.540/4.341/cos((x-x+(tan(2.177))+x-0.790-3.99/(4.939*x)-4.636+4.623*1.239)))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 12.040342882163547)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(7.243+abs(0.425-7.618-sen((8.36)+x/0.485)))+(sen(x)/9.656+4.293)+x+abs(1.872+x*4.316)/8.777/sen(8.250)/4.365'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 32.80141408888387)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '0.29/tan(x*(8.319-atn(atn(x-x)/x*x)-4.380/4.912-3.460-(abs(x))))-((sen((9.363/atn(tan(acs(x-x)))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 0.41082334847079816)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'tan(asn(sen(x-0.819)*asn(atn(6.666/1.319+9.499)/((6.808)-x/x)))+abs((sen(9.269)+x)+3.319-((8.535+(1.572-((x)))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 1.046668582350432)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(x+(x/sen(7.797/((3.994*(x*x))-7.348*abs((8.673/acs((asn(sen(x*3.929-x/9.903+tan(1.10/cos(3.541/(9.368-atn(7.549))))))))))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 1102.336048594055)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'x+(7.143-6.87+x-3.856)/(6.430-x-x-4.668*(x*(tan(9.484)-x*x/4.816/tan(8.85)-(4.160-x-atn((0.282*2.118))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 13.170521210456574)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'sen(x)+cos(6.110+((sen(tan(3.86*0.804))*1.420)))/7.919/0.744/x*9.269/4.988-sen((5.58*(5.879/6.437/6.409/x-(9.357))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 1.5440134754662589)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(x-tan(sen(1.881*abs(sen(8.826))-(3.663*x)/x/(abs(0.307))-3.862*0.424/sen(2.604-5.596+9.269*6.135/8.858+((8.208-(x)+sen(7.652)))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 14.720133580297055)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := 'cos(tan(0.146/atn(6.896*4.991)+7.122+cos(9.496)))/((sen((((((9.11)-((4.762+8.533/(6.611-0.864)-2.395)+6.363)))-8.994)))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 1.598987676577668)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();
expresion := '(((6.316*7.8*7.55-tan(x+tan((x/(1.699/(x)))*cos(7.759/cos(((8.835))*1.369)/2.670-3.781/x+(x)+(2.338)))))))'; evaluador.Analizar(evaluador.TransformaExpresion(expresion)); evaluador.ValorVariable('x', 13.1729);  resultado := evaluador.Calcular(); if abs(resultado - 372.0045439442017)>0.01 then lstBatch.Items.Add(evaluador.TransformaExpresion(expresion)); //evaluador.LiberaMemoria();

  lstBatch.Items.Add('Termino');
end;
end.
