/*  Autor: Rafael Alberto Moreno Parra
  Sitio Web:  http://darwin.50webs.com
  Correo:  enginelife@hotmail.com

  Evaluador de expresiones algebraicas por ejemplo, 57+1.87/84.89-(6.8*e+b+8769-4*b/8+b^2*4^e/f)+5.4-(d/9.6+0.2) con las siguientes funcionalidades:
  1. Ilimitado nmero de parntesis
  2. Ms rpido y ms sencillo que el evaluador escrito para el primer libro: "Desarrollo de un evaluador de expresiones algebraicas"
  3. Manejo de 26 variables
  4. Manejo de 12 funciones
  5. Manejo de operadores +, -, *, /, ^ (potencia)
  6. Manejo del menos unario: lo reemplaza con (0-1)# donde # es la operacin con mayor relevancia y equivale a la multiplicacin

  Versin: 2.00 [Genera el libro "Desarrollo de un evaluador de expresiones algebraicas. Versin 2.0"]
  Fecha: Enero de 2013
  Licencia: LGPL

  Algoritmo:

  Se toma una expresin como 7*x+sen(12.8/y+9)-5*cos(9-(8.3/5.11^3-4.7)*7.12)+0.445
  Se agregan parntesis de inicio y fin  (7*x+sen(12.8/y+9)-5*cos(9-(8.3/5.11^3-4.7)*7.12)+0.445)
  Se divide en piezas simples   | ( | 7 | * | x | + | sen( | 12.8 | / | y | + | 9 | ) | - | 5 | * | cos( | 9 | - | ( | 8.3 | / | 5.11 | ^ | 3 | - | 4.7 | ) | * | 7.12 | ) | + | 0.445 | ) |
  Esas piezas estn clasificadas:
   Parntesis que abre (
   Parntesis que cierra )
   Nmeros  7   12.8  9   5
   Variables  x  y
   Operadores + - * / ^
   Funciones  sen(  cos(
  Luego se convierte esa expresin larga en expresiones cortas de ejecucin del tipo
  Acumula = operando(nmero/variable/acumula)  operador(+, -, *, /, ^)   operando(nmero/variable/acumula)
    [0]  5.11 ^ 3
    [1]  8.3  / [0]
    [2]  [1] - 4.7
    [3]  [2] + 0
    [4]  [3] * 7,12
    [5]  9   - [4]
    [6]  cos([5])
    [7]  12,8 / y
    [8]  [7] +  9
    [9]  sen([8])
    [10] 7 * x
    [11] 5 * [6]
    [12] [10] + [9]
    [13] [12] - [11]
    [14] [13] + 0.445
    [15] [14] + 0
  La expresin ya est analizada y lista para evaluar.
  Se evala yendo de [0] a [15], en [15] est el valor final.
*/
#include "Pieza_Ejecuta.h"

double Pieza_Ejecuta::getValorPieza() { return this->valorPieza; }
void Pieza_Ejecuta::setValorPieza(double valor) { this->valorPieza = valor; }
int Pieza_Ejecuta::getFuncion() { return this->funcion; }
int Pieza_Ejecuta::getTipoOperA() { return this->tipo_operandoA; }
double Pieza_Ejecuta::getNumeroA() { return this->numeroA; }
int Pieza_Ejecuta::getVariableA() { return this->variableA; }
int Pieza_Ejecuta::getAcumulaA() { return this->acumulaA; }
char Pieza_Ejecuta::getOperador() { return this->operador; }
int Pieza_Ejecuta::getTipoOperB() { return this->tipo_operandoB; }
double Pieza_Ejecuta::getNumeroB() { return this->numeroB; }
int Pieza_Ejecuta::getVariableB() { return this->variableB; }
int Pieza_Ejecuta::getAcumulaB() { return this->acumulaB; }

Pieza_Ejecuta::Pieza_Ejecuta(int funcion, int tipo_operandoA, double numeroA, int variableA, int acumulaA, char operador, int tipo_operandoB, double numeroB, int variableB, int acumulaB)
{
  this->valorPieza = 0;

  this->funcion = funcion;

  this->tipo_operandoA = tipo_operandoA;
  this->numeroA = numeroA;
  this->variableA = variableA;
  this->acumulaA = acumulaA;

  this->operador = operador;

  this->tipo_operandoB = tipo_operandoB;
  this->numeroB = numeroB;
  this->variableB = variableB;
  this->acumulaB = acumulaB;
}